googleapis_beta 0.51.0

Dart native js
Flutter Android iOS web

Auto-generated client libraries for accessing Google APIs described through the API discovery service.

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:

dependencies:
  googleapis_beta: ^0.51.0

2. Install it

You can install packages from the command line:

with pub:

$ pub get

with Flutter:

$ flutter pub get

Alternatively, your editor might support pub get or flutter pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:

import 'package:googleapis_beta/adexchangebuyer2/v2beta1.dart';
import 'package:googleapis_beta/alertcenter/v1beta1.dart';
import 'package:googleapis_beta/appengine/v1beta.dart';
import 'package:googleapis_beta/artifactregistry/v1beta1.dart';
import 'package:googleapis_beta/bigqueryconnection/v1beta1.dart';
import 'package:googleapis_beta/billingbudgets/v1beta1.dart';
import 'package:googleapis_beta/clouderrorreporting/v1beta1.dart';
import 'package:googleapis_beta/cloudresourcemanager/v1beta1.dart';
import 'package:googleapis_beta/containeranalysis/v1beta1.dart';
import 'package:googleapis_beta/datacatalog/v1beta1.dart';
import 'package:googleapis_beta/dataflow/v1b3.dart';
import 'package:googleapis_beta/datafusion/v1beta1.dart';
import 'package:googleapis_beta/dialogflow/v2beta1.dart';
import 'package:googleapis_beta/documentai/v1beta2.dart';
import 'package:googleapis_beta/factchecktools/v1alpha1.dart';
import 'package:googleapis_beta/firebase/v1beta1.dart';
import 'package:googleapis_beta/firebasehosting/v1beta1.dart';
import 'package:googleapis_beta/firebaseml/v1beta2.dart';
import 'package:googleapis_beta/gameservices/v1beta.dart';
import 'package:googleapis_beta/language/v1beta1.dart';
import 'package:googleapis_beta/language/v1beta2.dart';
import 'package:googleapis_beta/lifesciences/v2beta.dart';
import 'package:googleapis_beta/memcache/v1beta2.dart';
import 'package:googleapis_beta/oslogin/v1alpha.dart';
import 'package:googleapis_beta/oslogin/v1beta.dart';
import 'package:googleapis_beta/prod_tt_sasportal/v1alpha1.dart';
import 'package:googleapis_beta/pubsub/v1beta2.dart';
import 'package:googleapis_beta/runtimeconfig/v1beta1.dart';
import 'package:googleapis_beta/sasportal/v1alpha1.dart';
import 'package:googleapis_beta/servicedirectory/v1beta1.dart';
import 'package:googleapis_beta/speech/v2beta1.dart';
import 'package:googleapis_beta/sqladmin/v1beta4.dart';
import 'package:googleapis_beta/toolresults/v1beta3.dart';
import 'package:googleapis_beta/tpu/v1alpha1.dart';
3
likes
90
pub points
69%
popularity

Auto-generated client libraries for accessing Google APIs described through the API discovery service.

Repository (GitHub)
View/report issues

Documentation

API reference

Uploaders

kustermann@google.com
kevmoo@google.com
whesse@google.com
sigurdm@google.com
jonasfj@google.com

License

BSD (LICENSE)

Dependencies

_discoveryapis_commons, http

More

Packages that depend on googleapis_beta